mysql-libs和MySQL-server冲突解决

页面导航:首页 > 数据库 > Mysql > mysql-libs和MySQL-server冲突解决

mysql-libs和MySQL-server冲突解决

来源: 作者: 时间:2016-02-17 10:07 【

mysql-libs和MySQL-server冲突解决安装php-mysqlYum install php-mysql出现from install of mysql-libs-5.1.69-1.el6_4.x86_64 conflicts with file from package MySQL-server-5.6.13-1.linux_glibc...
-libs和MySQL-server冲突解决
 
安装php-mysql
 
Yum install php-mysql
 
出现
 
from install of mysql-libs-5.1.69-1.el6_4.x86_64 conflicts with file from package MySQL-server-5.6.13-1.linux_glibc2.5.x86_64
 
由于服务器先安装和配置好了MYSQL-SERVER
 
google到一外国网页的解决方法如下:
 
Well, this is a common problem with MySQL packages within CentOS 6. Yum is trying to satisfy requirements by installing mysql-libs-5.1.69-1.el6_4.x86_64. This package conflicts with files from package MySQL55-server-5.5.32-1.cp1136.x86_64.
 
There is a way to fix this without breaking your rpm database or uninstalling mysql55, just download mysql compatibility libs from mysql for el6 (CentOS and RHEL6 are full binary compatible). Get MySQL-shared-compat-5.5.32-2.el6.x86_64.rpm (just google for it) and install this rpm using: rpm -ihv MySQL-shared-compat-5.5.32-2.el6.x86_64.rpm. 
 
方法可行。
Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<